rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Defines | Functions | Variables
rpmio/rpmdav.c File Reference
RPMIO.
`#include "system.h"`
`#include <rpmio_internal.h>`
`#include <rpmhash.h>`
`#include <rpmmacro.h>`
`#include <ugid.h>`
`#include <rpmdav.h>`
`#include <mire.h>`
`#include "debug.h"`
Include dependency graph for rpmdav.c:

Go to the source code of this file.

## Defines

#define | _RPMAV_INTERNAL
#define | _RPMDAV_INTERNAL
#define | TIMEOUT_SECS 5

## Functions

void * | avContextDestroy (avContext ctx)
void * | avContextCreate (const char *uri, struct stat *st)
int | avContextAdd (avContext ctx, const char *path, mode_t mode, size_t size, time_t mtime)
int | avClosedir (DIR *dir)
struct dirent * | avReaddir (DIR *dir)
DIR * | avOpendir (const char *path, const char **av, rpmuint16_t *modes)
FD_t | httpOpen (const char *url, int flags, mode_t mode, urlinfo *uret)

## Variables

static const char | _rpmioHttpUserAgent [] = "/" PACKAGE_VERSION
static int | rpmioHttpPersist = 1
int | rpmioHttpReadTimeoutSecs = 5
int | rpmioHttpConnectTimeoutSecs = 5
const char * | rpmioHttpAccept
const char * | rpmioHttpUserAgent
int | avmagicdir = 0x3607113

## Detailed Description

Definition in file rpmdav.c.

## Define Documentation

#define _RPMAV_INTERNAL

Definition at line 66 of file rpmdav.c.

#define _RPMDAV_INTERNAL

Definition at line 67 of file rpmdav.c.

#define TIMEOUT_SECS 5

Definition at line 82 of file rpmdav.c.

## Function Documentation

int avClosedir | ( | DIR * | dir | ) |

Definition at line 171 of file rpmdav.c.

References _av_debug, and _free().

Referenced by Closedir().

int avContextAdd | ( | avContext | ctx,
|  | const char * | path,
|  | mode_t | mode,
|  | size_t | size,
|  | time_t | mtime
| ) |  |

Definition at line 142 of file rpmdav.c.

References _av_debug, argvAdd(), and xrealloc().

void* avContextCreate | ( | const char * | uri,
|  | struct stat * | st
| ) |  |

Definition at line 122 of file rpmdav.c.

References urlLink(), urlSplit(), xcalloc(), and xstrdup().

Referenced by ftpOpendir().

void* avContextDestroy | ( | avContext | ctx | ) |

Definition at line 106 of file rpmdav.c.

References _free(), argvFree(), and urlFree().

Referenced by ftpOpendir().

DIR* avOpendir | ( | const char * | path,
|  | const char ** | av,
|  | rpmuint16_t * | modes
| ) |  |

Definition at line 237 of file rpmdav.c.

References _av_debug, avmagicdir, dirent, DT_BLK, DT_CHR, DT_DIR, DT_FIFO, DT_LNK, DT_REG, DT_SOCK, DT_UNKNOWN, hashFunctionString(), S_IFSOCK, stpcpy(), and xcalloc().

Referenced by ftpOpendir(), and rpmfiOpendir().

struct dirent* avReaddir | ( | DIR * | dir | ) | `[read]`

Definition at line 188 of file rpmdav.c.

References _av_debug, dirent, and hashFunctionString().

Referenced by Readdir().

FD_t httpOpen | ( | const char * | url,
|  | int | flags,
|  | mode_t | mode,
|  | urlinfo * | uret
| ) |  |

Definition at line 2305 of file rpmdav.c.

References _FD_s::_item, _FD_s::bytesRemain, _FD_s::contentLength, urlinfo_s::ctrl, urlinfo_s::data, fdLink(), fdNew(), fdSetIo(), _FD_s::ftpFileDoneNeeded, L, _FD_s::rd_timeoutsecs, rpmioHttpReadTimeoutSecs, ufdio, _FD_s::url, URL_IS_HTTP, urlLink(), urlSplit(), _FD_s::urlType, and rpmioItem_s::use.

Referenced by ufdOpen().

## Variable Documentation

const char _rpmioHttpUserAgent[] = "/" PACKAGE_VERSION `[static]`

Definition at line 86 of file rpmdav.c.

int avmagicdir = 0x3607113

Definition at line 2301 of file rpmdav.c.

Referenced by avOpendir().

const char* rpmioHttpAccept

Definition at line 101 of file rpmdav.c.

int rpmioHttpConnectTimeoutSecs = 5

Definition at line 93 of file rpmdav.c.

int rpmioHttpPersist = 1`[static]`

Definition at line 89 of file rpmdav.c.

int rpmioHttpReadTimeoutSecs = 5

Definition at line 91 of file rpmdav.c.

Referenced by httpOpen().

const char* rpmioHttpUserAgent

Definition at line 103 of file rpmdav.c.